Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface WebService

All Superinterfaces:
  EntityNode, Node, java.io.Serializable, WebServiceConstants

    public interface WebService

extends EntityNode, WebServiceConstants

A metadata node representing a DSP web service.

Nested Class Summary
`static interface` | `WebService.MappedDataService` A subset of a data service used as part of this web service.
`static interface` | `WebService.MappedDataServiceFunction` A data service function participating in the web service definition.

Nested classes/interfaces inherited from interface com.bea.ld.metadata.WebServiceConstants
`WebServiceConstants.SOAPVersion, WebServiceConstants.TransportType`

Method Summary
`java.util.List<WebService.MappedDataService>` | `getMappedDataServices()`
`WebServiceConstants.SOAPVersion` | `getSOAPVersion()`
`java.lang.String` | `getTargetNameSpace()`
`WebServiceConstants.TransportType` | `getTransportType()`
`java.util.List<WebServicePolicyRef>` | `getWebServicePolicies()`
`java.lang.String` | `getWSDL()` Deprecated.
`boolean` | `isADODotNETEnabled()`
`boolean` | `isBasicAuthRequired()`

Methods inherited from interface com.bea.ld.metadata.EntityNode
`getBody, getDependencyRefs, getDependencyRefs, getDependentRefs, getDependentRefs, getNodeReference`

Methods inherited from interface com.bea.ld.metadata.Node
`getId`

Method Detail

### getTargetNameSpace

    java.lang.String getTargetNameSpace()

  Returns:
    The target namespace of this web service.

### getSOAPVersion

    WebServiceConstants.SOAPVersion getSOAPVersion()

  Returns:
    The SOAP version.
  See Also:
    `WebServiceConstants`

### getTransportType

    WebServiceConstants.TransportType getTransportType()

  Returns:
    The transport type.
  See Also:
    `WebServiceConstants.`

### isBasicAuthRequired

    boolean isBasicAuthRequired()

  Returns:
    A boolean value indicating whether basic authentication is required.

### isADODotNETEnabled

    boolean isADODotNETEnabled()

  Returns:
    A boolean value indicating whether the web service is .net compatible.

### getMappedDataServices

    java.util.List<WebService.MappedDataService> getMappedDataServices()

  Returns:
    The data services based on which this web service has been defined. May be empty but not `null`.

### getWebServicePolicies

    java.util.List<WebServicePolicyRef> getWebServicePolicies()

  Returns:
    The web service policies used by this web service. May be empty but not `null`.

### getWSDL

    java.lang.String getWSDL()
                             throws java.lang.Exception

  Deprecated.

  Returns:
    The WSDL for this web service.
  Throws:
    `java.lang.Exception`
  Exclude:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.